%global pypi_name sphinxcontrib-actdiag

Summary:        A sphinx extension for embedding activity diagram using actdiag
Name:           python-%{pypi_name}
Version:        2.0.0
Release:        2%{?dist}
License:        BSD
URL:            http://github.com/blockdiag/sphinxcontrib-actdiag
Source0:        https://github.com/blockdiag/sphinxcontrib-actdiag/archive/refs/tags/%{version}.tar.gz

BuildArch:      noarch

%description
A sphinx extension for embedding activity diagram using actdiag.
This extension enables you to insert activity diagrams into your
document.

%package -n     python3-%{pypi_name}
Summary:        A sphinx extension for embedding activity diagram using actdiag
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-blockdiag >= 1.5.0
Requires:       python3-actdiag >= 0.5.3
Requires:       python3-sphinx >= 2.0

%description -n python3-%{pypi_name}
A sphinx extension for embedding activity diagram using actdiag.
This extension enables you to insert activity diagrams into your
document.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install


%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/sphinxcontrib_actdiag*nspkg.pth
%{python3_sitelib}/sphinxcontrib
%{python3_sitelib}/sphinxcontrib_actdiag-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 14 2023 Miaojun Dong <zoedong@tencent.com> - 2.0.0-1
- initial build
